Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Interface LOVFieldContext

All Superinterfaces:
  HTMLRenderingContext

All Known Implementing Classes:
  LOVField

public interface LOVFieldContext
extends HTMLRenderingContext

Method Summary
`java.lang.String` | `getDataAttributes()`
`java.lang.String` | `getDisplayAttributes()`
`java.lang.String` | `getLovUrl()`
`java.lang.String` | `getLovVo()`
`void` | `setDataAttributes(java.lang.String sDataAttribute)`
`void` | `setDisplayAttributes(java.lang.String sDisplayAttribute)`
`void` | `setHttpServletRequest(javax.servlet.http.HttpServletRequest request)`
`void` | `setLovUrl(java.lang.String url)`
`void` | `setLovVo(java.lang.String voName)`

Methods inherited from interface oracle.jdeveloper.html.HTMLRenderingContext
`getFormName, getPromptText, setFormName, setPromptText`

Method Detail

### setLovVo

    public void setLovVo(java.lang.String voName)

### getLovVo

    public java.lang.String getLovVo()

### setDataAttributes

    public void setDataAttributes(java.lang.String sDataAttribute)

### getDataAttributes

    public java.lang.String getDataAttributes()

### setDisplayAttributes

    public void setDisplayAttributes(java.lang.String sDisplayAttribute)

### getDisplayAttributes

    public java.lang.String getDisplayAttributes()

### setHttpServletRequest

    public void setHttpServletRequest(javax.servlet.http.HttpServletRequest request)

### getLovUrl

    public java.lang.String getLovUrl()

### setLovUrl

    public void setLovUrl(java.lang.String url)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.